<?php namespace Phpcmf\Control;
/**
 * https://www.besyun.com
 * BESCMS
 * 本文件是框架系统文件，二次开发时不可以修改本文件
 **/

class Home extends \Phpcmf\Common {

	// 首页显示
	public function index() {

	    if (IS_POST) {
	        $this->_json(0, '禁止提交，请检查提交地址是否有误');
        }

        // 挂钩点 网站首页时
        $rs = \Phpcmf\Hooks::trigger_callback('index_page');
		if ($rs && isset($rs['code'])) {
			// 存在返回动作不加载模板
		} else {
			\Phpcmf\Service::L('Router')->is_redirect_url(dr_url_prefix('/'), 1);

			\Phpcmf\Service::V()->assign([
				'indexc' => 1,
				'fix_html_now_url' => SITE_URL,
			]);
			\Phpcmf\Service::V()->assign([
				'meta_title' => SITE_NAME,
				'meta_keywords' => SITE_NAME,
				'meta_description' => SITE_NAME
			]);
			\Phpcmf\Service::V()->display('index.html');
		}
	}

	/**
	 * 404 页面
	 */
	public function s404() {
		if (IS_DEV) {
            $uri = \Phpcmf\Service::L('input')->get('uri', true);
		    $msg = '没有找到这个页面: '.$uri;
        } else {
		    $msg = dr_lang('没有找到这个页面');
        }
		$this->goto_404_page($msg);
	}

}
